> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasexportsettings.md).

# Invoke-RASExportSettings.md

## NAME

Invoke-RASExportSettings

## SYNOPSIS

Exports the complete Parallels RAS farm configuration to a file.

## SYNTAX

\*\*Invoke-RASExportSettings \[[FilePath](#filepath-string)] *(string)* \[[TimeoutInSecs](#timeoutinsecs-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Exports a Parallels RAS farm configuration to a file.

You can use this functionality to back up your farm settings, so you can easily restore them if needed.

To restore a backed up configuration, use the Invoke-ImportSettings cmdlet.

## PARAMETERS

## FilePath (string)

Target file name and path. Use the '.dat2' filename extension to be consistent with the Parallels RAS console.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TimeoutInSecs (uint)

Timeout in seconds. Default: 600s (10mins).

```
        Required?                    false

        Position?                    named

        Default value                600

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[String](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/String.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASExportSettings "C:\Backup\RAS-backup.dat2"

Exports the complete farm configuration to the specified file.

## RELATED LINKS

* [Invoke-RASImportSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasimportsettings.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasexportsettings.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
